Entrar

Atualizar regra

PUT https://{organization}.myguper.com/api/loyalty/campaign/rule

Atualiza uma regra de campanha. Apenas id é estritamente obrigatório — qualquer outro campo aceito por Criar regra pode ser enviado aqui e é mesclado parcialmente ao registro.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header. Endpoints that support a Public mode (e.g. acúmulo and resgate previews) accept the same request without the header — Private mode adds customer data and a confirmation token to the response.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper. Omit only on endpoints that explicitly support a Public mode.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Corpo da requisição

Content-Type: application/json

{
    "id": 1,
    "campaign": 0,                                              // optional
    "code": 2,                                                  // optional
    "params": [                                                 // optional
        "45"
    ],
    "reverse": false                                            // optional
}

Respostas

Copied to clipboard